View Issue Details

IDProjectCategoryView StatusLast Update
0003174FreeCADBugpublic2018-09-22 17:23
ReporterwmayerAssigned Tovejmarie 
PriorityhighSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version0.17 
Target Version0.18Fixed in Version0.17 
Summary0003174: Import of simple shapes no longer works
DescriptionSimple shape objects like a compound of edges can be exported using the advanced STEP importer but reading them back is not longer possible.
Steps To Reproduce
  1. Create a sketch
  2. Draw e.g. a rectangle and leave sketcher
  3. Select the shape in tree view and go to File > Export
  4. Enter a file name and export the shape
  5. Now go to File > Import or File > Open
  6. Select the new file and click on Open
  7. No shape gets added to the document

Additional Informationhttps://forum.freecadweb.org/viewtopic.php?f=10&t=23400&p=189013#p189013
TagsNo tags attached.

Activities

vejmarie

2017-08-31 14:37

developer   ~0010054

I know from where the issue comes. will fix it next week.

Kunda1

2017-12-04 14:44

manager   ~0010515

@vejmarie would you be able to fix this before the upcoming release ?

wmayer

2017-12-06 16:57

administrator   ~0010520

https://github.com/FreeCAD/FreeCAD/commit/52fe4cd2a7d4efae333bec7bd8393fac376c9608
As a workaround for 0.17 this sets the parameter ReadShapeCompoundMode to true to fully load a STEP model.

wmayer

2018-09-22 17:23

administrator   ~0011818

The workaround implemented below should be sufficient to fix this issue.

Issue History

Date Modified Username Field Change
2017-08-31 13:54 wmayer New Issue
2017-08-31 13:54 wmayer Status new => assigned
2017-08-31 13:54 wmayer Assigned To => vejmarie
2017-08-31 14:37 vejmarie Note Added: 0010054
2017-08-31 17:35 Kunda1 Target Version => 0.17
2017-12-04 14:44 Kunda1 Note Added: 0010515
2017-12-06 16:57 wmayer Priority urgent => high
2017-12-06 16:57 wmayer Severity block => major
2017-12-06 16:57 wmayer Target Version 0.17 => 0.18
2017-12-06 16:57 wmayer Note Added: 0010520
2018-09-22 17:23 wmayer Status assigned => closed
2018-09-22 17:23 wmayer Resolution open => fixed
2018-09-22 17:23 wmayer Fixed in Version => 0.17
2018-09-22 17:23 wmayer Note Added: 0011818